Issue 14013

Summary: Should not export "Asian" formatting if "Asian languages support" is off
Product: Writer Reporter: akrioukov <basileia>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description akrioukov 2003-05-02 08:43:32 UTC
As everybody knows, OOo always makes difference between "Western" and "Asian"
formatting, although only "Western" formatting is useful for those who don't use
Asian languages. However, when I'm opening a MS Word document, both Western and
Asian formatting is set to the same values. There was a problem with saving such
documents back to MS Word format (issue 3273). Well, it is fixed now.

However, the propblem still exists, if I want to save my documents exported from
MS Word to the .sxw format. In these cases "Asian" formatting is also imported,
and I can't remove or modify it, unless I enable "Asian languages support" in
OOo options. This means that each document imported from MS Word (and probably
other formats) always keeps information about its initial formatting, not
visible for the user!

This formatting is surely useless for those users who never use Asian languages,
and I don't understand, why it is saved. Is it possible to disable either
importing this "asian" formatting from MS Word, or its saving to .sxw, if "Asian
languages support" is disabled?
Comment 1 maxbritov 2003-05-02 15:38:06 UTC
I'm confirm this problem and vote for this issue.
Please fix it. Thanx.
Comment 2 caolanm 2003-05-02 16:07:02 UTC
There is no real connection to the .doc format and this issue. If you
have a blank .sxw and make some changes to some character properties
and save it and reload and then enable asian formatting you'll see
that the asian formatting is still set to their default original
settings. So importing from a word document is not a special case.

I don't see why this is a problem. Obviously issue 3273 was a problem
:-), but that's fixed.
Comment 3 akrioukov 2003-05-02 17:48:56 UTC
Importing from foreign formats *is* a special case, since it sets
"Asian" formatting to some values *different* from their defaults.
This formatting may be very complex (in case of large initial
document), and its saving to the .sxw file may increase its size.
Again, presense of additional (and useless) xml tags makes the whole
document structure more complex and more vulnerable for other 
problems. Really this is similar to so-called "fast" saving in MS
Word, when the document keeps the whole history of its modifications.
Generally speaking, storing such kind of information in documents is a
bad idea. So, the only thing I want is resetting Asian formatting to
default when the document is saved to the native OOo format.
Comment 4 caolanm 2003-05-06 09:41:13 UTC
Word uses the same value for asian fontsize as western fontsize, so
when this fontsize is set, both writer's asian and western fontsize
must be changed. If this is not the case then if the document uses
asian characters they will be in the wrong size, which would certainly
be wrong.

Word has the same UI trick that writer has, you can't see the complex
CTL font settings by default, nor can you see the asian fontname
setting, but they are there, so it's not the case that we are doing
something very different to word. If these were not set on import,
even if the UI for asian formatting is disabled, then the document is
not imported correctly. You could only get away with this if the
document does not use asian characters, and that would require
checking all the characters on import to see if they fall into the
asian range. Which would explode badly in our faces if the initial
document was a blank template which asian uses wanted to use, they
import a word .dot file which has no initial content and expect that
any document based from it has the same asian font name and size of
text that it would have if created from it in word. So we couldn't
strip this information out on the basis that it is not used in a document.

The settings are only useless to you because you're not making use of
the asian features, the import filter can't really know that this is
the case, it's not its job. The UI settings are only UI settings and
not a deeper truth about the type of content that the word processor
will only see.

But you could make an alternative argument that if the UI does not
show CTL/CJK controls then when you use the dialogs to change the
western formatting of text that all three settings, the visible
western and the invisible CTL/CJK properties are all set the same as
eachother. That way the three are in sync, once that is the case you
could then make the additional request for an XML format optimization
that states that when the three sets of properties are equal that the
CTL/CJK ones can be omitted. That would give you what you want, and
still keep everything else working correctly.

So I'll move this off as an enhancement idea.
Comment 5 lohmaier 2003-05-31 17:37:02 UTC
confirming issue
Comment 6 ace_dent 2008-05-16 02:40:40 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 7 bettina.haberer 2010-05-21 14:53:42 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".